=== modified file 'configure.ac'
--- configure.ac	2009-07-26 19:22:42 +0000
+++ configure.ac	2009-07-26 20:11:34 +0000
@@ -39,37 +39,6 @@
 ac_build_drizzle="yes"
 
 
-# Canonicalize the configuration name.
-
-AC_DEFINE_UNQUOTED([HOST_VENDOR], ["$host_vendor"],[Vendor of Build System])
-AC_DEFINE_UNQUOTED([HOST_OS], ["$host_os"], [OS of Build System])
-AC_DEFINE_UNQUOTED([HOST_CPU], ["$host_cpu"], [CPU of Build System])
-
-AC_DEFINE_UNQUOTED([TARGET_VENDOR], ["$target_vendor"],[Vendor of Target System])
-AC_DEFINE_UNQUOTED([TARGET_OS], ["$target_os"], [OS of Target System])
-AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
-
-
-case "$target_os" in
-  *linux*)
-  TARGET_LINUX="true"
-  AC_SUBST(TARGET_LINUX)
-  AC_DEFINE([TARGET_OS_LINUX], [1], [Whether we build for Linux])
-    ;;
-  *darwin*)
-    TARGET_OSX="true"
-    AC_SUBST(TARGET_OSX)
-    AC_DEFINE([TARGET_OS_OSX], [1], [Whether we build for OSX])
-    ;;
-  *solaris*)
-    TARGET_SOLARIS="true"
-    AC_SUBST(TARGET_SOLARIS)
-    AC_DEFINE([TARGET_OS_SOLARIS], [1], [Whether we are building for Solaris])
-    ;;
-  *)
-    ;;
-esac
-
 AC_PATH_PROG(GPERF, gperf)
 AS_IF([test "x$GPERF" = "x"],
       AC_MSG_ERROR("Drizzle requires gperf to build."))
@@ -100,52 +69,11 @@
 AC_CXX_CSTDINT
 AC_CXX_CINTTYPES
 
-#--------------------------------------------------------------------
-# Check for libpthread
-#--------------------------------------------------------------------
-
-ACX_PTHREAD(,AC_MSG_ERROR(could not find libpthread))
-LIBS="${PTHREAD_LIBS} ${LIBS}"
-AM_CFLAGS="${PTHREAD_CFLAGS} ${AM_CFLAGS}"
-AM_CXXFLAGS="${PTHREAD_CFLAGS} ${AM_CXXFLAGS}"
-CC="$PTHREAD_CC"
-
-#--------------------------------------------------------------------
-# Check for Google Proto Buffers
-#--------------------------------------------------------------------
-
-AC_LANG_PUSH([C++])
-save_CXXFLAGS="${CXXFLAGS}"
-CXXFLAGS="${PTHREAD_CFLAGS} ${CXXFLAGS}"
-AC_LIB_HAVE_LINKFLAGS(protobuf,,
-[#include <google/protobuf/descriptor.h>
-],
-[google::protobuf::FileDescriptor* file;],system)
-AS_IF([test x$ac_cv_libprotobuf = xno],
-      AC_MSG_ERROR([protobuf is required for Drizzle. On Debian this can be found in libprotobuf-dev. On RedHat this can be found in protobuf-devel.]))
-
-AC_CACHE_CHECK([if protobuf is recent enough], [drizzle_cv_protobuf_recent],
-  [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
-#include <google/protobuf/descriptor.h>
-#if GOOGLE_PROTOBUF_VERSION < 2000002
-# error Your version of Protobuf is too old
-#endif
-    ]])],
-    [drizzle_cv_protobuf_recent=yes],
-    [drizzle_cv_protobuf_recent=no])])
-if test "$drizzle_cv_protobuf_recent" = "no"
-then
-  AC_MSG_ERROR([Your version of Google Protocol Buffers is too old. Drizzle requires at least version 2.0.2])
-fi
-CXXFLAGS="${save_CXXFLAGS}"
-
-AC_PATH_PROG([PROTOC],[protoc],[no],[$LIBPROTOBUF_PREFIX/bin:$PATH])
-if test "x$PROTOC" = "xno"
-then
-  AC_MSG_ERROR([Couldn't find the protoc compiler. On Debian this can be found in protobuf-compiler. On RedHat this can be found in protobuf-compiler.])
-fi
-
-AC_LANG_POP()
+PANDORA_REQUIRE_PTHREAD
+
+PANDORA_REQUIRE_LIBPROTOBUF
+PANDORA_PROTOBUF_RECENT
+PANDORA_REQUIRE_PROTOC
 
 #--------------------------------------------------------------------
 # Check for libuuid

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-26 19:22:30 +0000
+++ m4/pandora_canonical.m4	2009-07-26 20:11:34 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.24])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.25])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds
@@ -73,10 +73,41 @@
     AS_IF([test "$GCC" = "yes"], PANDORA_ENSURE_GCC_VERSION)
   ])
 
-  case $SYSTEM_TYPE in
+  dnl Canonicalize the configuration name.
+
+  AC_DEFINE_UNQUOTED([HOST_VENDOR], ["$host_vendor"],[Vendor of Build System])
+  AC_DEFINE_UNQUOTED([HOST_OS], ["$host_os"], [OS of Build System])
+  AC_DEFINE_UNQUOTED([HOST_CPU], ["$host_cpu"], [CPU of Build System])
+
+  AC_DEFINE_UNQUOTED([TARGET_VENDOR], ["$target_vendor"],[Vendor of Target System])
+  AC_DEFINE_UNQUOTED([TARGET_OS], ["$target_os"], [OS of Target System])
+  AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
+
+
+  case "$target_os" in
+    *linux*)
+    TARGET_LINUX="true"
+    AC_SUBST(TARGET_LINUX)
+    AC_DEFINE([TARGET_OS_LINUX], [1], [Whether we build for Linux])
+      ;;
+    *darwin*)
+      TARGET_OSX="true"
+      AC_SUBST(TARGET_OSX)
+      AC_DEFINE([TARGET_OS_OSX], [1], [Whether we build for OSX])
+      ;;
+    *solaris*)
+      TARGET_SOLARIS="true"
+      AC_SUBST(TARGET_SOLARIS)
+      AC_DEFINE([TARGET_OS_SOLARIS], [1], [Whether we are building for Solaris])
+      ;;
     *freebsd*)
+      TARGET_FREEBSD="true"
+      AC_SUBST(TARGET_FREEBSD)
+      AC_DEFINE([TARGET_OS_FREEBSD], [1], [Whether we are building for FreeBSD])
       AC_DEFINE([__APPLE_CC__],[1],[Workaround for bug in FreeBSD headers])
       ;;
+    *)
+      ;;
   esac
 
 

=== added file 'm4/pandora_have_protobuf.m4'
--- m4/pandora_have_protobuf.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_protobuf.m4	2009-07-26 20:11:34 +0000
@@ -0,0 +1,74 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+dnl --------------------------------------------------------------------
+dnl  Check for Google Proto Buffers
+dnl --------------------------------------------------------------------
+
+AC_DEFUN([_PANDORA_SEARCH_LIBPROTOBUF],[
+  AC_REQUIRE([PANDORA_HAVE_PTHREAD])
+
+  AC_LANG_PUSH([C++])
+  save_CXXFLAGS="${CXXFLAGS}"
+  CXXFLAGS="${PTHREAD_CFLAGS} ${CXXFLAGS}"
+  AC_LIB_HAVE_LINKFLAGS(protobuf,,
+    [#include <google/protobuf/descriptor.h>],
+    [google::protobuf::FileDescriptor* file;],
+    [system])
+  CXXFLAGS="${save_CXXFLAGS}"
+  AC_LANG_POP()
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBPROTOBUF],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBPROTOBUF],[
+  AC_REQUIRE([PANDORA_HAVE_LIBPROTOBUF])
+  AS_IF([test x$ac_cv_libprotobuf = xno],
+      AC_MSG_ERROR([libprotobuf is required for ${PACKAGE}. On Debian this can be found in libprotobuf-dev. On RedHat this can be found in protobuf-devel.]))
+])
+
+AC_DEFUN([PANDORA_PROTOBUF_RECENT],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+  AC_LANG_PUSH([C++])
+  AC_CACHE_CHECK([if protobuf is recent enough], [drizzle_cv_protobuf_recent],
+    [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
+#include <google/protobuf/descriptor.h>
+#if GOOGLE_PROTOBUF_VERSION < 2000002
+# error Your version of Protobuf is too old
+#endif
+      ]])],
+      [drizzle_cv_protobuf_recent=yes],
+      [drizzle_cv_protobuf_recent=no])])
+  AS_IF([test "$drizzle_cv_protobuf_recent" = "no"],[
+    AC_MSG_ERROR([Your version of Google Protocol Buffers is too old. ${PACKAGE} requires at least version 2.0.2])
+  ])
+  AC_LANG_POP()
+])
+
+AC_DEFUN([_PANDORA_SEARCH_PROTOC],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBPROTOBUF])
+  AC_PATH_PROG([PROTOC],[protoc],[no],[$LIBPROTOBUF_PREFIX/bin:$PATH])
+])
+
+AC_DEFUN([PANDORA_HAVE_PROTOC],[
+  AC_REQUIRE([_PANDORA_SEARCH_PROTOC])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_PROTOC],[
+  AC_REQUIRE([PANDORA_HAVE_PROTOC])
+  AS_IF([test "x$PROTOC" = "xno"],[
+    AC_MSG_ERROR([Couldn't find the protoc compiler. On Debian this can be found in protobuf-compiler. On RedHat this can be found in protobuf-compiler.])
+  ])
+])
+
+

=== added file 'm4/pandora_pthread.m4'
--- m4/pandora_pthread.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_pthread.m4	2009-07-26 20:11:34 +0000
@@ -0,0 +1,34 @@
+dnl -*- mode: m4; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+dnl vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+dnl   
+dnl pandora-build: A pedantic build system
+dnl Copyright (C) 2009 Sun Microsystems, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+dnl
+dnl From Monty Taylor
+
+
+dnl --------------------------------------------------------------------
+dnl  Check for libpthread
+dnl --------------------------------------------------------------------
+
+AC_DEFUN([_PANDORA_SEARCH_PTHREAD],[
+  ACX_PTHREAD
+  LIBS="${PTHREAD_LIBS} ${LIBS}"
+  AM_CFLAGS="${PTHREAD_CFLAGS} ${AM_CFLAGS}"
+  AM_CXXFLAGS="${PTHREAD_CFLAGS} ${AM_CXXFLAGS}"
+  CC="$PTHREAD_CC"
+])
+
+
+AC_DEFUN([PANDORA_HAVE_PTHREAD],[
+  AC_REQUIRE([_PANDORA_SEARCH_PTHREAD])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_PTHREAD],[
+  AC_REQUIRE([PANDORA_HAVE_PTHREAD])
+  AS_IF([test "x$acx_pthread_ok" != "xyes"],[
+    AC_MSG_ERROR(could not find libpthread)])
+])

